import { MessageDescriptor } from './types';
export declare const enum ReactIntlErrorCode {
    FORMAT_ERROR = "FORMAT_ERROR",
    UNSUPPORTED_FORMATTER = "UNSUPPORTED_FORMATTER",
    INVALID_CONFIG = "INVALID_CONFIG",
    MISSING_DATA = "MISSING_DATA",
    MISSING_TRANSLATION = "MISSING_TRANSLATION"
}
export declare class ReactIntlError extends Error {
    readonly code: ReactIntlErrorCode;
    constructor(code: ReactIntlErrorCode, message: string, exception?: Error);
}
export declare class MessageFormatError extends ReactIntlError {
    readonly descriptor?: MessageDescriptor;
    constructor(message: string, locale: string, descriptor: MessageDescriptor, exception?: Error);
}
export declare class MissingTranslationError extends ReactIntlError {
    readonly descriptor?: MessageDescriptor;
    constructor(descriptor: MessageDescriptor, locale: string);
}
//# sourceMappingURL=error.d.ts.map